Arch Tafel Schnitt

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Panel Cut and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Arch Panel.svg Tafel
Nächste: Tafelplatte Arch Panel Sheet.svg Arrow-right.svg

Arch Panel Cut.svg Arch Tafelschnitt

Menüeintrag
Arch → Panel tools → Tafelschnitt
Arbeitsbereich
Arch,Pfad
Standardtastenkürzel
P C
Eingeführt in Version
-
Siehe auch
Arch Platte, Arch Tafelplatte, Arch Verschachteln

Beschreibung

Dieses Werkzeug erstellt im 3D-Dokuemnt eine flache 2D-Ansicht einer Arch Platte, die in eine Arch Tafel Platte eingefügt oder direkt nach DXF exportiert wird. Die Tafelschnitt-Objekte werden auch durch den Path-Arbeitsbereich unterstützt.

Arch Wikihouse 02.jpg

Anwendung

  1. Wähle ein oder mehrere Arch Tafel Objekte aus.
  2. Drücke die Arch Panel Cut.svg Arch Tafelschnitt Schaltfläche, oder drücke die P dann C Tasten.
  3. Passe die gewünschten Eigenschaften an.

Optionen

  • Falls die Platte nicht flach ist (z.B. gewellt), wird die Wölbung nicht im Tafelschnitt erscheinen. Dieses Werkzeug ist hauptsächlich für flache Platten geeignet.
  • Der Tafelschnitt kann eine Markierung anzeigen. Diese Markierung kann ein benutzerdefinierte Textzeile sein oder automatisch Tag, Label oder Description der verbundenen Platte anzeigen.
  • Um nützlich bei CNC-Verarbeitung zu sein, sollte die Markierung in einer einfachen (?,"sticky") Schriftart sein, in der Zeichen einfache Polylinien sind, denen die Maschine einfach folgen kann. Bei der Erstellung wird das Tafelschnitt-Objekt automatisch die Schriftart nutzen, die in Bearbeiten → Einstellungen → Draft → Texte und Bemaßungen → Standardschriftart für Textformen angegeben ist
  • Doppelklicken des Tafelschnitts in der Baumansicht nach der Erstellung aktiviert den Änderungsmodus und ermöglicht die Änderung der Position der Markierung
  • Wenn du verschiedene Tafelschnitte anordnen musst, kann Tafelschnitt einen Rand anzeigen, der hilfreich ist, um zu prüfen, ob genug Platz zwischen den einzelnen Schnitten ist

Eigenschaften

Daten

  • DatenSource: Das von diesem Schnitt gezeigte Arch Platte-Objekt
  • DatenTag Text: Der anzuzeigende Text. Kann %tag%, %label% oder %description% sein, um die entsprechenden Informationen der Platte anzuzeigen
  • DatenTag Size: Die Größe des Markierungstextes
  • DatenTag Position: Die Position des Markierungstextes, (0,0,0) für automatische Mittenposition
  • DatenTag Rotation: Die Drehung des Textes
  • DatenFont File: Die Schriftart der Markierung
  • DatenMake Face: Falls True ist die Platte eine Fläche, anderenfalls ein Linienzug

Ansicht

  • AnsichtMargin: Ein Rand kann außerhalb der Tafelschnittform betrachtet werden
  • AnsichtShow Margin: Schaltet die Anzeige des Rands ein/aus

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Tafelschnittwerkzeug kann in Makros und aus der Python Konsole aus mit folgender Funktion verwendet werden:

View = makePanelCut(panel, name="PanelView")
  • Erstellt ein View-Objekt (2D-Projektion) aus dem existierenden panel.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutorien


Arrow-left.svg Vorherige: Arch Panel.svg Tafel
Nächste: Tafelplatte Arch Panel Sheet.svg Arrow-right.svg